MK_CMDS(1)

NAME
mk_cmds - error table compiler

SYNOPSIS
mk_cmds file

DESCRIPTION
Mk_cmds converts a table listing command names and associated help messages into a C source file suitable for use with the ss(3) library.

The source file name must end with a suffix of ``.ct''; the file consists of a declaration supplying the name of the command table:

command_table name

followed by entries of the form:

[ request | unimplemented ] name, " string "[, abbrev]...;

and a final

end

to indicate the end of the table.

A C source file is generated which should be compiled and linked with the object files use the ss library.

A ``#'' in the source file is treated as a comment character, and all remaining text to the end of the source line will be ignored.

BUGS

Since the original mk_cmds uses a very simple parser based on yacc(1), and this current version of mk_cmds uses an awk/sed combination of scripts, its error recovery leaves much to be desired.

SEE ALSO
ss (3)